tracker-control(1)

NAME
tracker-control - Manage Tracker processes and data

SYNOPSIS
tracker-control [OPTION...]

DESCRIPTION
tracker-control lists all tracker related processes when no OPTIONs are specified.

OPTIONS

-?, --help
    Show summary of options.

-k, --kill=[all|store|miners]
    This uses SIGKILL to stop all Tracker processes found matching the parameter, if no extra parameter is passed, all will be assumed. This is not advised unless you are having problems stopping Tracker in the first place. This GUARANTEES death.

-t, --terminate=[all|store|miners]
    This uses SIGTERM to stop all Tracker processes found matching the parameter, if no extra parameter is passed, all will be assumed. This is recommended over --kill because it gives the processes time to shutdown cleanly.

-r, --hard-reset
    This kills all processes in the same way that --kill does but it also removes all databases. Restarting tracker-store re-creates the databases.

-e, --soft-reset
    A soft reset works exactly the same way that --hard-reset does, with the exception that the backup and journal are not removed. These are restored when tracker-store is restarted.

-c, --remove-config
    This removes all config files in $HOME/.config/tracker. All files listed are files which were found and successfully removed. Restarting the respective processes re-creates the default configuration files.

-s, --start
    Starts all miners. This indirectly starts tracker-store too because it is needed for miners to operate properly.

-m, --reindex-mime-type=MIME
    Re-index files which match the MIME type supplied. This is usually used when installing new extractors which support MIME types previously unsupported. This forces Tracker to re-index those files. You can use --reindex-mime-type more than once per MIME type.

-V, --version
    Print version.

SEE ALSO
tracker-store(1).